0

I want to install Microk8s on an Oracle Linux Server 7.9 virtual machine, but I get an error using snap:

$ sudo snap install microk8s --classic
2021-11-02T18:57:19Z INFO Waiting for restart...
error: cannot perform the following tasks:
- Run install hook of "microk8s" snap if present (run hook "install":
-----
++ /snap/microk8s/2494/bin/uname -m
+ ARCH=' aarch64'
+ export 'LD_LIBRARY_PATH=/snap/microk8s/2494/lib:/snap/microk8s/2494/usr/lib:/snap/microk8s/2494/lib/ aarch64-linux-gnu:/snap/microk8s/2494/usr/lib/ aarch64-linux-gnu'
+ LD_LIBRARY_PATH='/snap/microk8s/2494/lib:/snap/microk8s/2494/usr/lib:/snap/microk8s/2494/lib/ aarch64-linux-gnu:/snap/microk8s/2494/usr/lib/ aarch64-linux-gnu'
+ export PATH=/snap/microk8s/2494/usr/sbin:/snap/microk8s/2494/usr/bin:/snap/microk8s/2494/sbin:/snap/microk8s/2494/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/usr/bin:/usr/local/bin
+ PATH=/snap/microk8s/2494/usr/sbin:/snap/microk8s/2494/usr/bin:/snap/microk8s/2494/sbin:/snap/microk8s/2494/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/usr/bin:/usr/local/bin
+ export OPENSSL_CONF=/snap/microk8s/current/etc/ssl/openssl.cnf
+ OPENSSL_CONF=/snap/microk8s/current/etc/ssl/openssl.cnf
+ source /snap/microk8s/2494/actions/common/utils.sh
+ cp -r /snap/microk8s/2494/default-args /var/snap/microk8s/2494/args
cp: with --parents, the destination must be a directory
Try 'cp --help' for more information.
-----)

Tried using different channels, based on a related answer too:

$ sudo snap install microk8s --classic --channel=1.20/stable
error: cannot perform the following tasks:
- Run install hook of "microk8s" snap if present (run hook "install":
-----
++ /snap/microk8s/2520/bin/uname -m
+ ARCH=
-----)

And:

$ sudo snap install microk8s --classic --channel=1.19/stable
error: cannot perform the following tasks:
- Run install hook of "microk8s" snap if present (run hook "install":
-----
++ /snap/microk8s/2535/bin/uname -m
+ ARCH=
-----)

And:

$ sudo snap install microk8s --classic --channel=1.18/stable
error: cannot perform the following tasks:
- Run install hook of "microk8s" snap if present (run hook "install":
-----
++ /snap/microk8s/2272/bin/uname -m
+ ARCH=
-----)

Additional Information

I had to install snap beforehand, following the instructions for CentOS since Oracle Linux was not listed, and they both use yum:

sudo yum install epel-release
sudo yum install snapd
sudo systemctl enable --now snapd.socket
sudo ln -s /var/lib/snapd/snap /snap

Tried upgrading to Oracle Linux 8 but did not yet succeed:

$ sudo yum install -y leapp –enablerepo=ol7_leapp,ol7_latest
Loaded plugins: langpacks, ulninfo
No package leapp available.

I see that there are several installs listed for "ol 7.9" under users by distribution so it should be possible? Thank you!

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.